%define	name entrance
%define	version 0.9.9.042
%define cvs 20080202
%define release %mkrel 0.%{cvs}.3.bii.

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment login manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-20080202.tar.bz2
Source1:	entrance_config_update.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.042
BuildRequires:	esmart-devel >= 0.9.0.042
BuildRequires:	ecore-devel >= 0.9.9.042
BuildRequires:	edje-devel >= 0.5.0.042, edje >= 0.5.0.042
Buildrequires:  edb >= 1.0.5.042, embryo >= 0.9.1.042, ecore >= 0.9.9.042
BuildRequires:	efreet-devel >= 0.0.3.042
BuildRequires:	pam-devel
Requires:	ecore >= 0.9.9.042

%description
Entrance is the next generation of Elogin, a login/display manager for
Linux X11 systems. It is designed to be extremely customizable and
aesthetically attractive -- a refreshing relief from the traditional
dull and boring interfaces of XDM and its descendants.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q -n %name

%build
./autogen.sh
%configure2_5x --with-xbin=%_bindir
#this causes interactive build otherwise, anyway we don't want 
#autodetect.sh, currently tries a free vt (not sure if we need it)
#and copies some pam config (ou rpm already does it)
perl -pi -e "s|sh data/config/autodetect.sh|#sh data/config/autodetect.sh|" Makefile
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
bzcat %SOURCE1 > %buildroot/%_sbindir/entrance_config_update
chmod 755 %buildroot/%_sbindir/entrance_config_update

# make dm config file
mkdir -p %buildroot/%_sysconfdir/X11/dm.d
cat << EOF > %buildroot/%_sysconfdir/X11/dm.d/25entrance.conf
NAME=E17
DESCRIPTION=ENTRANCE (E17 Display Manager)
EXEC=/usr/sbin/entranced
PACKAGE=entrance
FNDSESSION_EXEC="%_sbindir/entrance_config_update -e"
EOF

rm -f %buildroot/%{_sysconfdir}/init.d/%name

cat << EOF > %buildroot/%{_sysconfdir}/pam.d/%name
#%PAM-1.0
auth       required     pam_env.so
auth       include	system-auth
auth       required	pam_nologin.so
account    include	system-auth 
password   include	system-auth
session    include	system-auth
session    optional     pam_console.so
EOF

%post
%make_session

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/pam.d/%name
%config(noreplace) %{_sysconfdir}/X11/dm.d/*entrance.conf
%config(noreplace) %{_sysconfdir}/*.cfg
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/entrance/entrance_login
%{_libdir}/libentrance_edit.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/Entrance_Edit.h
%{_libdir}/libentrance_edit.*a
%{_libdir}/libentrance_edit.so


%changelog
* Tue Feb 19 2008 Antoine Ginies <aginies@mandriva.com> 0.9.9.042-0.20080202.3mdv2008.1
+ Revision: 173099
- fix missing edb release
- add %%cvs tag
- restore previous buildrequires, fix depencies to devel's E libs

* Sat Feb 09 2008 Austin Acton <austin@mandriva.org> 0.9.9.042-0.cvs20080202.2mdv2008.1
+ Revision: 164523
- tell it where X lives

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.9.9.042-0.cvs20080202.1mdv2008.1
+ Revision: 161603
- new version (cvs as snapshot is broken)
- tidy spec
- buildrequires ecore
- buildrequires efreet-devel
- sync
- use original compression
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - update buildrequires
    - few adjustement in spec file

* Sun May 27 2007 Antoine Ginies <aginies@mandriva.com> 0.9.0.009-1mdv2008.0
+ Revision: 31853
- add devel and libpackage
- release 0.9.0.009

* Fri May 04 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0.007-1mdv2008.0
+ Revision: 22239
- Use include instead of pam_stack
- 0.9.0.007 final
- Drop the buildrequires that are no longer needed


* Sun Dec 03 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.0.007-0.20060323.4mdv2007.0
+ Revision: 90220
- temporary fix of buildrequires
- mkrel
- Import entrance

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.9.0.007-0.20060323.3mdk
- new entrance_config_update (Guillaume Bedot)

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.9.0.007-0.20060323.2mdk
- move dm entry to 25 to come before xdm in priority

* Fri Mar 31 2006 Guillaume Bedot <littletux@mandriva.org> 0.9.0.007-0.20060323.1mdk
- 0.9.0.007
- new version of entrance_config_update, which now requires ecore
  (previously edb)
- we don't want autodetect.sh, which we don't need, and causes interactive build

* Fri Jul 15 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050524.5mdk
- really make pam work

* Thu Jun 02 2005 Frederic Lepied <flepied@mandriva.com> 0.9.0.003-0.20050524.4mdk
- fixed pam entry
- fixed description
- removed init script

* Thu Jun 02 2005 Frederic Lepied <flepied@mandriva.com> 0.9.0.003-0.20050524.3mdk
- fixed dm.d entry
- call %%make_session in %%post

* Sat May 28 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050524.2mdk
- add configure script (littletux)
- require edb
- add dm.d entry (Loic Baudry)

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050524.1mdk
- new cvs checkout

* Tue May 24 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050523.1mdk
- new cvs checkout

* Mon May 23 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050522.1mdk
- new cvs checkout

* Mon May 23 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050522.1mdk
- new cvs checkout

* Sat May 21 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050519.1mdk
- initial package

